#!/bin/bash


if [ $# != 2 ]; then
  echo "Please, provide exactly two arguments to this script"    
  echo "Usage: eval.sh SYSTEM REFERENCE"
  exit -1
fi

SYSTEM=$1
REFERENCE=$2

if [ ! -e $SYSTEM ]; then
  echo "File $SYSTEM not found."
  exit -1
fi

if [ ! -e $REFERENCE ]; then
  echo "File $REFERENCE not found."
  exit -1
fi

paste -d "\t" $SYSTEM $REFERENCE | 
awk 'BEGIN{FS="\t"}{if(NF!=4){print "Attention: the files are not well formatted, line", NR > "/dev/stderr"}if($2==$4)tp++;c++}END{printf("Precision: %.2f%%\n", 100*tp/c)}'
